/* (almost) all texts appearing in db */

#include <exec/types.h>
#include "dbtexts.h"
#define CATCOMP_NUMBERS
#include "db_strings.h"

struct EasyStruct ES_ShareWare =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_SHAREWARE_REQ_TITLE,
	(STRPTR)MSG_SHAREWARE_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_About =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_ABOUT_REQ_TITLE,
	(STRPTR)MSG_ABOUT_REQ_TEXT,
	(STRPTR)MSG_ABOUT_REQ_GADS
};

struct EasyStruct ES_MoreAbout =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MOREABOUT_REQ_TITLE,
	(STRPTR)MSG_MOREABOUT_REQ_TEXT,
	(STRPTR)MSG_MOREABOUT_REQ_GADS
};

struct EasyStruct ES_NormalHelp =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_NORMALHELP_REQ_TITLE,
	(STRPTR)MSG_NORMALHELP_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_FindHelp =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_FINDHELP_REQ_TITLE,
	(STRPTR)MSG_FINDHELP_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_SortHelp =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_SORTHELP_REQ_TITLE,
	(STRPTR)MSG_SORTHELP_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_DialHelp =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_DIALHELP_REQ_TITLE,
	(STRPTR)MSG_DIALHELP_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_BrowseHelp =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_BROWSEHELP_REQ_TITLE,
	(STRPTR)MSG_BROWSEHELP_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MemWarn =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MEMWARN_REQ_TITLE,
	(STRPTR)MSG_MEMWARN_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_OpenFail =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_OPENFAIL_REQ_TITLE,
	(STRPTR)MSG_OPENFAIL_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};


struct EasyStruct ES_RexxProgNotFound =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_REXX_PROG_NOT_FOUND_TITLE,
	(STRPTR)MSG_REXX_PROG_NOT_FOUND_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_RexxError =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_REXXERR_TITLE,
	(STRPTR)MSG_REXXERR_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_RexxOkay1 =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_REXXERR_TITLE,
	(STRPTR)MSG_REXXERR_TEXT,	/* This is a dummy text and should be changed */
	(STRPTR)MSG_REQ_OK			/* to what the user selects */
};

struct EasyStruct ES_RexxOkay2 =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_REXXERR_TITLE,
	(STRPTR)MSG_REXXERR_TEXT,	/* This is a dummy text and should be changed */
	(STRPTR)MSG_REQ_OKCANCEL	/* to what the user selects */
};

struct EasyStruct ES_DialFail =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_DIALFAIL_REQ_TITLE,
	(STRPTR)MSG_DIALFAIL_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_SaveError =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_SAVEERROR_REQ_TITLE,
	(STRPTR)MSG_SAVEERROR_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_SaveWarn =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_SAVEWARN_REQ_TITLE,
	(STRPTR)MSG_SAVEWARN_REQ_TEXT,
	(STRPTR)MSG_REQ_OKCANCEL
};

struct EasyStruct ES_Ask_Filtering =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_ES_ASKFILTERING_REQ_TITLE,
	(STRPTR)MSG_ES_ASKFILTERING_REQ_TEXT,
	(STRPTR)MSG_ES_ASKFILTERING_REQ_GADS
};

struct EasyStruct ES_NotImplemented =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_NOTIMPLEMENTED_REQ_TITLE,
	(STRPTR)MSG_NOTIMPLEMENTED_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_KillWarn =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_KILLWARN_REQ_TITLE,
	(STRPTR)MSG_KILLWARN_REQ_TEXT,
	(STRPTR)MSG_REQ_OKCANCEL
};

struct EasyStruct ES_QuitWarn =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_QUITWARN_REQ_TITLE,
	(STRPTR)MSG_QUITWARN_REQ_TEXT,
	(STRPTR)MSG_REQ_OKCANCEL
};

struct EasyStruct ES_NewWarn =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_NEWWARN_REQ_TITLE,
	(STRPTR)MSG_NEWWARN_REQ_TEXT,
	(STRPTR)MSG_REQ_OKCANCEL
};

struct EasyStruct ES_LoadWarn =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_LOADWARN_REQ_TITLE,
	(STRPTR)MSG_LOADWARN_REQ_TEXT,
	(STRPTR)MSG_REQ_OKCANCEL
};

struct EasyStruct ES_WrongFileType =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_WRONGFILETYPE_REQ_TITLE,
	(STRPTR)MSG_WRONGFILETYPE_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MangledRFF =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MANGLEDRFF_REQ_TITLE,
	(STRPTR)MSG_MANGLEDRFF_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_WinSizeErr =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_WINSIZEERR_REQ_TITLE,
	(STRPTR)MSG_WINSIZEERR_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_WinOpenErr =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_WINOPENERR_REQ_TITLE,
	(STRPTR)MSG_WINOPENERR_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_DefaultErr =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_DEFAULTERR_REQ_TITLE,
	(STRPTR)MSG_DEFAULTERR_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};
	

/* MenuHelp messages */

struct EasyStruct ES_MH_NoHelp =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_NOHELP_REQ_TITLE,
	(STRPTR)MSG_MH_NOHELP_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_New =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_NEW_REQ_TITLE,
	(STRPTR)MSG_MH_NEW_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_RFF =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_RFF_REQ_TITLE,
	(STRPTR)MSG_MH_RFF_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_Output_View =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_OUTPUT_VIEW_REQ_TITLE,
	(STRPTR)MSG_MH_OUTPUT_VIEW_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_Output_View_WN =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_OUTPUT_VIEW_WN_REQ_TITLE,
	(STRPTR)MSG_MH_OUTPUT_VIEW_WN_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_tab_ASCII =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_TAB_ASCII_REQ_TITLE,
	(STRPTR)MSG_MH_TAB_ASCII_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_comma_ASCII =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_COMMA_ASCII_REQ_TITLE,
	(STRPTR)MSG_MH_COMMA_ASCII_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_Clip =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_CLIP_REQ_TITLE,
	(STRPTR)MSG_MH_CLIP_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_Kill =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_KILL_REQ_TITLE,
	(STRPTR)MSG_MH_KILL_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_Warnings =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_WARNINGS_REQ_TITLE,
	(STRPTR)MSG_MH_WARNINGS_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_SortDir =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_SORTDIR_REQ_TITLE,
	(STRPTR)MSG_MH_SORTDIR_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

/*
struct EasyStruct ES_MH_Save_Settings =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_SAVE_SETTINGS_REQ_TITLE,
	(STRPTR)MSG_MH_SAVE_SETTINGS_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};
*/

struct EasyStruct ES_MH_Field_Definition =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_FIELD_DEFINITION_REQ_TITLE,
	(STRPTR)MSG_MH_FIELD_DEFINITION_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_View_Design =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_VIEW_DESIGN_REQ_TITLE,
	(STRPTR)MSG_MH_VIEW_DESIGN_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};

struct EasyStruct ES_MH_ARexx =
{
	sizeof(struct EasyStruct),
	0,
	(STRPTR)MSG_MH_AREXX_REQ_TITLE,
	(STRPTR)MSG_MH_AREXX_REQ_TEXT,
	(STRPTR)MSG_REQ_OK
};
